authors:
  - name: Lorenzo Cerrone
  - name: Adrian Wolny
cite:
  - text: >-
      Wolny, Cerrone et al. Accurate and Versatile 3D Segmentation of Plant
      Tissues at Cellular Resolution. eLife 2020.
    url: https://elifesciences.org/articles/57613
covers:
  - raw.png
  - pred.png
description: >-
  3D Unet trained on confocal images of Arabidopsis thaliana apical stem cell:
  https://www.repository.cam.ac.uk/handle/1810/262530. Voxel size: [0.25, 0.25,
  0.25]
documentation: unet3d.md
format_version: 0.4.5
inputs:
  - axes: bczyx
    data_range:
      - -.inf
      - .inf
    data_type: float32
    name: raw
    shape:
      - 1
      - 1
      - 100
      - 128
      - 128
license: MIT
name: 3D UNet Arabidopsis Apical Stem Cells
outputs:
  - axes: bczyx
    data_range:
      - 0
      - 1
    data_type: float32
    halo:
      - 0
      - 0
      - 8
      - 16
      - 16
    name: output0
    shape:
      offset:
        - 0
        - 0
        - 0
        - 0
        - 0
      reference_tensor: raw
      scale:
        - 1
        - 1
        - 1
        - 1
        - 1
tags:
  - plantseg
  - unet
  - 3d
  - semantic-segmentation
  - arabidopsis
  - stem-cells
  - cell-membrane
  - plant
  - tissue
  - fluorescence-light-microscopy
  - pytorch
test_inputs:
  - test_input.npy
test_outputs:
  - test_output.npy
timestamp: '2022-03-11T11:47:13.473820'
type: model
weights:
  pytorch_state_dict:
    architecture: unet.py:UNet3D
    architecture_sha256: 2da9f7149e144b63fee715fb8fe5154e96bf9aa230d176c91e923d528ef0c4e1
    dependencies: conda:environment.yaml
    kwargs:
      f_maps: 32
      final_sigmoid: true
      in_channels: 1
      is_segmentation: true
      layer_order: gcr
      num_groups: 8
      out_channels: 1
      testing: true
    sha256: 636ceb89e6f798fe27b1c4c5ef237dee6815443b0d23915b850624270d91fa76
    source: confocal_pnas_3d.pytorch
config: {}
rdf_source: ./rdf.yaml
links:
  - imjoy/BioImageIO-Packager
version: 0.1.0
